Subject: Re: [PATCH] Add support for GIT_ONE_FILESYSTEM

From: Lars Damerow <[email-masked]>
Date: Mon, 15 Mar 2010 22:56:25 -0700

>>From Junio C Hamano <[email-masked]>, Mon, Mar 15, 2010 at 09:19:17PM -0700:
> 
> How inefficient is it to repeatedly call getenv() in a loop, by the way?
> I think the patch would become easier to read if env_bool() is called once
> at the beginning to set a local variable, and not even do the initial stat()
> for "." if this feature is not asked for.

Agreed, I didn't do this too efficiently. Thanks for the feedback! I'll
make a new patch and resubmit.

cheers,
-lars

--
lars r. damerow :: button pusher :: pixar animation studios

When in doubt, use brute force.